> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# Retrieve a Government ID NFC Verification

GET https://api.withpersona.com/api/v1/verification/government-id-nfcs/{verification-id}

Retrieve a Government ID NFC verification

Reference: https://docs.withpersona.com/api-reference/verifications/government-id-nfc-verifications/retrieve-a-government-id-nfc-verification

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `verification-id` (string, required)

### Query parameters

- `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns a Government ID NFC Verification object and (optionally) its related objects in `included`.

- `data` (Government ID NFC Verification, required) — A Government ID NFC Verification

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of VerificationGovernmentIdNfcsVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of VerificationGovernmentIdNfcsVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of VerificationGovernmentIdNfcsVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of VerificationGovernmentIdNfcsVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of VerificationGovernmentIdNfcsVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### Government ID NFC Verification

A Government ID NFC Verification

- `id` (string, optional) — The token of the verification
- `attributes` (VerificationDiscriminatorMappingVerificationGovernmentIdNfcAttributes, optional)
- `relationships` (VerificationDiscriminatorMappingVerificationGovernmentIdNfcRelationships, optional)

### VerificationGovernmentIdNfcsVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### VerificationDiscriminatorMappingVerificationGovernmentIdNfcAttributes

- `address-city` (string, optional, nullable) — City of residence address. Not all international addresses use this attribute.
- `address-postal-code` (string, optional, nullable) — ZIP or postal code of residence address. Not all international addresses use this attribute.
- `address-street-1` (string, optional, nullable) — Street name of residence address.
- `address-street-2` (string, optional, nullable) — Extension of residence address, usually apartment or suite number.
- `address-subdivision` (string, optional, nullable) — State or subdivision of residence address. In the US, this should be the unabbreviated name. Not all international addresses use this attribute.
- `birthdate` (string, optional, nullable)
- `checks` (list of VerificationDiscriminatorMappingVerificationGovernmentIdNfcAttributesChecksItems, optional)
- `completed-at` (datetime, optional, nullable) — The time the verification was completed in ISO 8601 format
- `completed-at-ts` (integer, optional, nullable) — The time the verification was completed in Unix timestamp format
- `country-code` (string, optional, nullable) — ISO 3166-1 alpha 2 country code.
- `created-at` (datetime, optional) — The time the verification was created in ISO 8601 format
- `created-at-ts` (integer, optional) — The time the verification was created in Unix timestamp format
- `expiration-date` (string, optional, nullable)
- `id-class` (string, optional, nullable)
- `identification-number` (string, optional, nullable)
- `name-first` (string, optional)
- `name-last` (string, optional)
- `redacted-at` (datetime, optional, nullable) — The time the verification was redacted in ISO 8601 format
- `selfie-photo` (VerificationDiscriminatorMappingVerificationGovernmentIdNfcAttributesSelfiePhoto, optional, nullable)
- `selfie-photo-url` (string, optional, nullable)
- `sex` (string, optional, nullable)
- `status` (string, optional) — The status of the verification Possible values: - initiated - submitted - tentatively_passed (only for `verification/document` and `verification/qes-infocert`) - tentatively_failed (only for `verification/database-business` and `verification/database-business-footprint`) - passed - failed - requires_retry - skipped - canceled - confirmed (only for `verification/email-address` and `verification/phone-number`) Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update.
- `submitted-at` (datetime, optional, nullable) — The time the verification was submitted in ISO 8601 format
- `submitted-at-ts` (integer, optional, nullable) — The time the verification was submitted in Unix timestamp format
- `tags` (list of string, optional) — Tags on the verification

### VerificationDiscriminatorMappingVerificationGovernmentIdNfcRelationships

- `accounts` (VerificationSharedRelationshipsAccounts, optional)
- `document` (VerificationDiscriminatorMappingVerificationGovernmentIdNfcRelationshipsDocument, optional)
- `inquiry` (VerificationSharedRelationshipsInquiry, optional) — The inquiry linked to the verification
- `inquiry-template` (VerificationSharedRelationshipsInquiryTemplate, optional)
- `inquiry-template-version` (VerificationSharedRelationshipsInquiryTemplateVersion, optional)
- `template` (VerificationSharedRelationshipsTemplate, optional)
- `transaction` (VerificationSharedRelationshipsTransaction, optional)
- `verification-template` (VerificationSharedRelationshipsVerificationTemplate, optional)
- `verification-template-version` (VerificationSharedRelationshipsVerificationTemplateVersion, optional)

### VerificationDiscriminatorMappingVerificationGovernmentIdNfcAttributesChecksItems

- `category` (string, optional, nullable)
- `metadata` (map from string to any, optional)
- `name` (string, optional)
- `reasons` (list of string, optional)
- `requirement` (string, optional)
- `status` (string, optional)

### VerificationDiscriminatorMappingVerificationGovernmentIdNfcAttributesSelfiePhoto

- `byte-size` (integer, optional, default: 0)
- `url` (string, optional)

### VerificationSharedRelationshipsAccounts

- `data` (list of VerificationSharedRelationshipsAccountsDataItems, optional)

### VerificationDiscriminatorMappingVerificationGovernmentIdNfcRelationshipsDocument

- `data` (VerificationDiscriminatorMappingVerificationGovernmentIdNfcRelationshipsDocumentData, optional)

### VerificationSharedRelationshipsInquiry

The inquiry linked to the verification

- `data` (VerificationSharedRelationshipsInquiryData, optional, nullable)

### VerificationSharedRelationshipsInquiryTemplate

- `data` (VerificationSharedRelationshipsInquiryTemplateData, optional, nullable)

### VerificationSharedRelationshipsInquiryTemplateVersion

- `data` (VerificationSharedRelationshipsInquiryTemplateVersionData, optional, nullable)

### VerificationSharedRelationshipsTemplate

- `data` (VerificationSharedRelationshipsTemplateData, optional, nullable)

### VerificationSharedRelationshipsTransaction

- `data` (VerificationSharedRelationshipsTransactionData, optional, nullable)

### VerificationSharedRelationshipsVerificationTemplate

- `data` (VerificationSharedRelationshipsVerificationTemplateData, optional, nullable)

### VerificationSharedRelationshipsVerificationTemplateVersion

- `data` (VerificationSharedRelationshipsVerificationTemplateVersionData, optional, nullable)

### VerificationSharedRelationshipsAccountsDataItems

- `id` (string, optional)
- `type` ("account", optional)

### VerificationDiscriminatorMappingVerificationGovernmentIdNfcRelationshipsDocumentData

- `id` (string, optional)
- `type` (string, optional)

### VerificationSharedRelationshipsInquiryData

- `id` (string, optional)
- `type` ("inquiry", optional)

### VerificationSharedRelationshipsInquiryTemplateData

- `type` ("inquiry-template", optional)
- `id` (string, optional)

### VerificationSharedRelationshipsInquiryTemplateVersionData

- `type` ("inquiry-template-version", optional)
- `id` (string, optional)

### VerificationSharedRelationshipsTemplateData

- `type` ("template", optional)
- `id` (string, optional)

### VerificationSharedRelationshipsTransactionData

- `type` ("transaction", optional)
- `id` (string, optional)

### VerificationSharedRelationshipsVerificationTemplateData

- `type` (string, optional)
- `id` (string, optional)

### VerificationSharedRelationshipsVerificationTemplateVersionData

- `type` (string, optional)
- `id` (string, optional)

## Examples

**Response**

```json
{
  "data": {
    "id": "ver_Ra6LFdoQmPFJH27gonC3cChh",
    "attributes": {
      "birthdate": "1994-12-30",
      "checks": [
        {
          "category": "user_action_required",
          "metadata": {},
          "name": "id_nfc_expired_detection",
          "reasons": [
            "expired"
          ],
          "status": "failed"
        }
      ],
      "completed-at": "2022-07-28T20:47:12.000Z",
      "completed-at-ts": 1659041232,
      "country-code": "UT",
      "created-at": "2022-07-28T16:55:44.000Z",
      "created-at-ts": 1659027344,
      "expiration-date": "2022-12-30",
      "id-class": "pp",
      "identification-number": "L898902C3",
      "name-first": "ANNA MARIA",
      "name-last": "SAMPLE",
      "selfie-photo": {
        "byte-size": 1000,
        "url": "https://files.withpersona.com/..."
      },
      "sex": "F",
      "status": "passed",
      "submitted-at": "2022-07-28T20:47:06.000Z",
      "submitted-at-ts": 1659041226
    },
    "relationships": {
      "document": {
        "data": {
          "id": "doc_QZ8M2J1fH2o76Rq57vuVWMsE",
          "type": "document/government-id-nfc"
        }
      },
      "inquiry": {
        "data": null
      }
    },
    "type": "verification/government-id-nfc"
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/verification/government-id-nfcs/verification-id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/verification/government-id-nfcs/verification-id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/verification/government-id-nfcs/verification-id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/verification/government-id-nfcs/verification-id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/verification/government-id-nfcs/verification-id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/verification/government-id-nfcs/verification-id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/verification/government-id-nfcs/verification-id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/verification/government-id-nfcs/verification-id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```